debug_traceCallAsk AIpost https://api.zan.top/node/v1/{category}/{ecosystem}/{apiKey}Runs an eth_call within the context of the given block execution using the final state of parent block as the base.Path ParamscategorystringenumrequiredDefaults to ethThe category represents the ecosystem category of the API. Available categories include "eth", "btc", "polygon", etc, see supported-ecosystems.ethbscpolygonarboptavalancheAllowed:ethbscpolygonarboptavalancheecosystemstringenumrequiredDefaults to mainnetThe ecosystem represents the specific network or environment of the API. Available ecosystems include "mainnet", "testnet", etc, see supported-ecosystems.mainnettestnetgoerlisepoliamumbaiFujiAllowed:mainnettestnetgoerlisepoliamumbaiFujiapiKeystringrequiredDefaults to publicFor higher throughput, please create your own API key.Body ParamsidintegerDefaults to 1jsonrpcstringDefaults to 2.0methodstringDefaults to debug_traceCallparamsarraylength between 2 and 3Defaults to [object Object],latest object - Transaction Object string - Block Identifier: Block hash, block number (in hex), or block tag tracer - Object: Currently supports callTracer and prestateTracer (see above for definitions). params Transaction object | Block identifier | TracerTransaction objectBlock identifierTracerfromstring20 Bytes - The address the transaction is sent from.tostringrequiredDefaults to 0x9b0a5becb3d9e069d424196e9b2c4114ac1d457f20 Bytes - The address the transaction is directed to.gasstringDefaults to 0x00Hexadecimal value of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.gasPricestringDefaults to 0x09184e72a000Hexadecimal value of the gasPrice used for each paid gas. NOTE: most of our users (95%+) never set the gasPrice on eth_call.maxPriorityFeePerGasstringDefaults to 0x09884e72a000Maximum fee, in Wei, the sender is willing to pay per gas above the base fee. See EIP-1559 transactions.maxFeePerGasstringDefaults to 0x09884e72a000Maximum total fee (base fee + priority fee), in Wei, the sender is willing to pay per gas. See EIP-1559 transactions.valuestringDefaults to 0x00Integer of the value sent with this transactiondatastringDefaults to 0x00Hash of the method signature and encoded parameters Transaction object | Block identifier | TracerTransaction objectBlock identifierTracerfromstring20 Bytes - The address the transaction is sent from.tostringrequiredDefaults to 0x9b0a5becb3d9e069d424196e9b2c4114ac1d457f20 Bytes - The address the transaction is directed to.gasstringDefaults to 0x00Hexadecimal value of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions.gasPricestringDefaults to 0x09184e72a000Hexadecimal value of the gasPrice used for each paid gas. NOTE: most of our users (95%+) never set the gasPrice on eth_call.maxPriorityFeePerGasstringDefaults to 0x09884e72a000Maximum fee, in Wei, the sender is willing to pay per gas above the base fee. See EIP-1559 transactions.maxFeePerGasstringDefaults to 0x09884e72a000Maximum total fee (base fee + priority fee), in Wei, the sender is willing to pay per gas. See EIP-1559 transactions.valuestringDefaults to 0x00Integer of the value sent with this transactiondatastringDefaults to 0x00Hash of the method signature and encoded parametersADD Transaction object | Block identifier | TracerResponse 200Returns Array of block tracesUpdated 4 months ago